aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Beregszaszi <alex@rtfs.hu>2018-03-06 22:26:06 +0800
committerGitHub <noreply@github.com>2018-03-06 22:26:06 +0800
commit0df4c64884d1b8d3695dd59de5f828ba5298b313 (patch)
tree50fa7ef4036f36ad8b7080287ba3bae7d02b9d11
parent70a5ddd03af217cc7960c899e3128dd16d87a467 (diff)
parente3bd3020d13bd898be8c6123b9979c69422e944f (diff)
downloaddexon-solidity-0df4c64884d1b8d3695dd59de5f828ba5298b313.tar.gz
dexon-solidity-0df4c64884d1b8d3695dd59de5f828ba5298b313.tar.zst
dexon-solidity-0df4c64884d1b8d3695dd59de5f828ba5298b313.zip
Merge pull request #3658 from ethereum/newcppEthimage
Use new eth binary for trusty.
-rwxr-xr-xscripts/tests.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/scripts/tests.sh b/scripts/tests.sh
index 60dae2e4..bf4ee3d9 100755
--- a/scripts/tests.sh
+++ b/scripts/tests.sh
@@ -59,12 +59,15 @@ function download_eth()
ETH_PATH="eth"
else
mkdir -p /tmp/test
- ETH_BINARY=eth_byzantium_artful
- ETH_HASH="e527dd3e3dc17b983529dd7dcfb74a0d3a5aed4e"
if grep -i trusty /etc/lsb-release >/dev/null 2>&1
then
- ETH_BINARY=eth_byzantium2
- ETH_HASH="4dc3f208475f622be7c8e53bee720e14cd254c6f"
+ # built from 1ecff3cac12f0fbbeea3e645f331d5ac026b24d3 at 2018-03-06
+ ETH_BINARY=eth_byzantium_trusty
+ ETH_HASH="5432ea81c150e8a3547615bf597cd6dce9e1e27b"
+ else
+ # built from ?? at 2018-02-13 ?
+ ETH_BINARY=eth_byzantium_artful
+ ETH_HASH="e527dd3e3dc17b983529dd7dcfb74a0d3a5aed4e"
fi
wget -q -O /tmp/test/eth https://github.com/ethereum/cpp-ethereum/releases/download/solidityTester/$ETH_BINARY
test "$(shasum /tmp/test/eth)" = "$ETH_HASH /tmp/test/eth"
@@ -121,4 +124,4 @@ wait $CMDLINE_PID
pkill "$ETH_PID" || true
sleep 4
-pgrep "$ETH_PID" && pkill -9 "$ETH_PID" || true \ No newline at end of file
+pgrep "$ETH_PID" && pkill -9 "$ETH_PID" || true